Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233242 - Review Request: ragel - finite state machine compiler
Summary: Review Request: ragel - finite state machine compiler
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 06:22 UTC by Jeremy Hinegardner
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 18:49:49 UTC
jochen: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Jeremy Hinegardner 2007-03-21 06:22:44 UTC
Spec URL: http://www.hinegardner.org/fedora-extras/ragel.spec
SRPM URL: http://www.hinegardner.org/fedora-extras/ragel-5.19-1.src.rpm
Description: Ragel compiles finite state machines from regular languages into executable C,C++, Objective-C, or D code.

7939ed87968dad75cc7932b032f5f108  ragel-5.19.tar.gz

Comment 1 Jochen Schmitt 2007-03-21 17:01:37 UTC
Good:
+ Naming seems ok.
+ Tar ball matches with upstream.
+ Local build works fine.
* Rpmlint quite on source rpm.
+ Rpmlint quite on binary rpm.
+ Rpmlint quite on debugin rpm.
+ Local install and uninstallworks fine.
+ Start of programm works without crash.
+ Mock build works fine.

Bad:
- Why you have a BuildRequires to autoconf, when you not call autoconf in the
build stanza?

Comment 2 Jeremy Hinegardner 2007-03-21 22:06:58 UTC
This is also my first package and I'm seeking a sponsor.

Comment 3 Jeremy Hinegardner 2007-03-22 05:56:19 UTC
I've updated the spec to not have BuildRequires: autoconf.  Not sure why I had
that, bit of a mistake.

New Spec and src rpm available.

Spec URL: http://www.hinegardner.org/fedora-extras/ragel.spec
SRPM URL: http://www.hinegardner.org/fedora-extras/ragel-5.19-1.src.rpm


Comment 4 Jochen Schmitt 2007-03-22 17:00:16 UTC
Note: Please increase the release number if you create a new rpm package.

Comment 5 Jochen Schmitt 2007-03-22 17:10:52 UTC
Good:
+ License OK.
+ Autoconf was removed from BR.

** APPROVED **


Comment 6 Jeremy Hinegardner 2007-03-22 21:37:12 UTC
A new upload with the appropriately incremented relase number is available

Spec URL: http://www.hinegardner.org/fedora-extras/ragel.spec
SRPM URL: http://www.hinegardner.org/fedora-extras/ragel-5.19-2.src.rpm

Comment 7 Kevin Fenzi 2007-03-23 21:22:27 UTC
Removing FE-NEEDSPONSOR. Submitter was sponsored in 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233522

Comment 8 Jeremy Hinegardner 2007-03-23 23:16:35 UTC
New Package CVS Request
=======================
Package Name: ragel
Short Description: Finite state machine compiler
Owners: jeremy@hinegardner.org
Branches: FC-5 FC-6
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.